import { ApplicationRef, OnInit, EventEmitter, NgZone } from '@angular/core';
import { SpaAlertSeverityEnum } from './spa-alert-severity.enum';
import * as i0 from "@angular/core";
export declare class SpaAlertComponent implements OnInit {
    private readonly ngZone;
    private readonly applicationRef;
    hostClass: boolean;
    get hostClassCloseable(): boolean;
    get hostClassError(): boolean;
    get hostClassInfo(): boolean;
    get hostClassSucess(): boolean;
    get hostClassWarning(): boolean;
    autoClose?: number;
    closeable?: boolean | undefined;
    content?: string;
    hideTitle: boolean;
    title?: string;
    severity?: SpaAlertSeverityEnum;
    AlertSeverityEnum: SpaAlertSeverityEnum;
    spClose: EventEmitter<void>;
    private _autoCloseTimeout?;
    constructor(ngZone: NgZone, applicationRef: ApplicationRef);
    ngOnInit(): void;
    doClose(): void;
    private prepareAutoClose;
    private _assignDefaultTitle;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpaAlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpaAlertComponent, "spa-alert", never, { "autoClose": "autoClose"; "closeable": "closeable"; "content": "content"; "hideTitle": "hideTitle"; "title": "title"; "severity": "severity"; }, { "spClose": "spClose"; }, never, ["*"], false>;
}
